Package com.mapd.thrift.server

## Class MapD.execute_next_render_step_args

- java.lang.Object
- - com.mapd.thrift.server.MapD.execute_next_render_step_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<MapD.execute_next_render_step_args>`, `org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  MapD

    public static class MapD.execute_next_render_step_args
    extends Object
    implements org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>, Serializable, Cloneable, Comparable<MapD.execute_next_render_step_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `MapD.execute_next_render_step_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>>` `merged_data`
`static Map<MapD.execute_next_render_step_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TPendingRenderQuery` `pending_render`

### Constructor Summary

Constructors
`execute_next_render_step_args()`
`execute_next_render_step_args​(MapD.execute_next_render_step_args other)` Performs a deep copy on other.
`execute_next_render_step_args​(TPendingRenderQuery pending_render, Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(MapD.execute_next_render_step_args other)`
`MapD.execute_next_render_step_args` `deepCopy()`
`boolean` `equals​(MapD.execute_next_render_step_args that)`
`boolean` `equals​(Object that)`
`MapD.execute_next_render_step_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(MapD.execute_next_render_step_args._Fields field)`
`Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>>` `getMerged_data()`
`int` `getMerged_dataSize()`
`TPendingRenderQuery` `getPending_render()`
`int` `hashCode()`
`boolean` `isSet​(MapD.execute_next_render_step_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetMerged_data()` Returns true if field merged_data is set (has been assigned a value) and false otherwise
`boolean` `isSetPending_render()` Returns true if field pending_render is set (has been assigned a value) and false otherwise
`void` `putToMerged_data​(String key, Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>> val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(MapD.execute_next_render_step_args._Fields field, Object value)`
`MapD.execute_next_render_step_args` `setMerged_data​(Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)`
`void` `setMerged_dataIsSet​(boolean value)`
`MapD.execute_next_render_step_args` `setPending_render​(TPendingRenderQuery pending_render)`
`void` `setPending_renderIsSet​(boolean value)`
`String` `toString()`
`void` `unsetMerged_data()`
`void` `unsetPending_render()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pending_render

    public TPendingRenderQuery pending_render

#### merged_data

    public Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data

#### metaDataMap

    public static final Map<MapD.execute_next_render_step_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### execute_next_render_step_args

    public execute_next_render_step_args()

#### execute_next_render_step_args

    public execute_next_render_step_args​(TPendingRenderQuery pending_render,
                                         Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)

#### execute_next_render_step_args

    public execute_next_render_step_args​(MapD.execute_next_render_step_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public MapD.execute_next_render_step_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>`

#### getPending_render

    public TPendingRenderQuery getPending_render()

#### setPending_render

    public MapD.execute_next_render_step_args setPending_render​(TPendingRenderQuery pending_render)

#### unsetPending_render

    public void unsetPending_render()

#### isSetPending_render

    public boolean isSetPending_render()

Returns true if field pending_render is set (has been assigned a value) and false otherwise

#### setPending_renderIsSet

    public void setPending_renderIsSet​(boolean value)

#### getMerged_dataSize

    public int getMerged_dataSize()

#### putToMerged_data

    public void putToMerged_data​(String key,
                                 Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>> val)

#### getMerged_data

    public Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> getMerged_data()

#### setMerged_data

    public MapD.execute_next_render_step_args setMerged_data​(Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)

#### unsetMerged_data

    public void unsetMerged_data()

#### isSetMerged_data

    public boolean isSetMerged_data()

Returns true if field merged_data is set (has been assigned a value) and false otherwise

#### setMerged_dataIsSet

    public void setMerged_dataIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(MapD.execute_next_render_step_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(MapD.execute_next_render_step_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>`

#### isSet

    public boolean isSet​(MapD.execute_next_render_step_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(MapD.execute_next_render_step_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(MapD.execute_next_render_step_args other)

Specified by:
  `compareTo` in interface `Comparable<MapD.execute_next_render_step_args>`

#### fieldForId

    public MapD.execute_next_render_step_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<MapD.execute_next_render_step_args,​MapD.execute_next_render_step_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`